Bug 625615 - HA lvm mirrors create issues on clustered VGs
Summary: HA lvm mirrors create issues on clustered VGs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: resource-agents (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jonathan Earl Brassow
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords: Documentation, Tracking
Depends On:
Blocks: 658615
TreeView+ depends on / blocked
 
Reported: 2010-08-19 22:58 UTC by Corey Marthaler
Modified: 2013-04-09 19:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 658615 (view as bug list)
Environment:
Last Closed: 2013-04-09 19:31:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2010-08-19 22:58:52 UTC
Description of problem:
Clustered VGs are required in order to use the new clvmd locking with HA lvm, however, with out cmirrord running I don't see a way to create mirrors that use local locking on a clustered VG.

lvcreate -m 1 --nosync -L 25G -n ha1 TAFT
 WARNING: New mirror won't be synchronised. Don't read what you didn't write!
 Shared cluster mirrors are not available.

Version-Release number of selected component (if applicable):
[root@grant-03 ~]# /usr/tests/sts-rhel6.0/lvm2/bin/lvm_rpms
2.6.32-59.1.el6.x86_64

rgmanager-3.0.12-10.el6.x86_64

lvm2-2.02.72-8.el6    BUILT: Wed Aug 18 10:41:52 CDT 2010
lvm2-libs-2.02.72-8.el6    BUILT: Wed Aug 18 10:41:52 CDT 2010
lvm2-cluster-2.02.72-8.el6    BUILT: Wed Aug 18 10:41:52 CDT 2010
udev-147-2.22.el6    BUILT: Fri Jul 23 07:21:33 CDT 2010
device-mapper-1.02.53-8.el6    BUILT: Wed Aug 18 10:41:52 CDT 2010
device-mapper-libs-1.02.53-8.el6    BUILT: Wed Aug 18 10:41:52 CDT 2010
device-mapper-event-1.02.53-8.el6    BUILT: Wed Aug 18 10:41:52 CDT 2010
device-mapper-event-libs-1.02.53-8.el6    BUILT: Wed Aug 18 10:41:52 CDT 2010
cmirror-2.02.72-8.el6    BUILT: Wed Aug 18 10:41:52 CDT 2010

Comment 2 Jonathan Earl Brassow 2010-08-23 16:13:02 UTC
Needs knowledgebase article.


Note You need to log in before you can comment on or make changes to this bug.